<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Validation</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="./style.css">
    <script defer src="./index.js"></script>
</head>

<body>
    <div class="container">
        <form id="form">
            <div id="formTitle">Enter Your Details</div>
            <div class="input-control">
                <label id="title">Email</label>
                <input id="email" name="email" type="text">
                <div class="error"></div>
            </div>
            <div class="input-control">
                <label id="title">Password</label>
                <input id="password" name="password" type="password">
                <div class="error"></div>
            </div>
            <div class="input-control">
                <label id="title">Sex</label>
                <select id="sex">
                    <option selected hidden disabled></option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                    <option value="Other">Other</option>
                </select>
                <div class="error"></div>
            </div>
            <div class="input2-control">
                <label id="title">Role</label>
                <div id="roleGroup">
                    <div>
                        <input id="admin" name="userRole" type="radio" value="Admin">
                        <label for="admin">Admin</label>
                    </div>
                    <div>
                        <input id="user" name="userRole" type="radio" value="User">
                        <label for="user">User</label>
                    </div>
                </div>
                <div class="error"></div>
            </div>
            <div class="input2-control">
                <label id="title">Permissions</label>
                <div id="permGroup">
                    <div>
                        <input id="perm1" name="userPerm" type="checkbox" value="Perm 1">
                        <label for="perm1">Perm 1</label>
                    </div>
                    <div>
                        <input id="perm2" name="userPerm" type="checkbox" value="Perm 2">
                        <label for="perm2">Perm 2</label>
                    </div>
                    <div>
                        <input id="perm3" name="userPerm" type="checkbox" value="Perm 3">
                        <label for="perm3">Perm 3</label>
                    </div>
                    <div>
                        <input id="perm4" name="userPerm" type="checkbox" value="Perm 4">
                        <label for="perm4">Perm 4</label>
                    </div>
                </div>
                <div class="error"></div>
            </div>
            <button type="submit">Submit</button>
        </form>

        <div id="response">
            <div id="formTitle">Your Responses</div>
            <div id="response-items">
                <div>
                    <div id="title">Email: </div>
                    <div id="emailResponse"></div>
                </div>
                <div>
                    <div id="title">Password: </div>
                    <div id="passwordResponse"></div>
                </div>
                <div>
                    <div id="title">Sex: </div>
                    <div id="sexResponse"></div>
                </div>
                <div>
                    <div id="title">Role: </div>
                    <div id="roleResponse"></div>
                </div>
                <div>
                    <div id="title">Permissions: </div>
                    <div id="permResponse"></div>
                </div>
            </div>
            <button type="submit">Confirm</button>
        </div>
    </div>
</body>

</html>